import request from '@/utils/request'

//获取当天发药的人数
export function todaynumber(params) {
  return request({
    url: '/api/pharmacy/todaynumber',
    method: 'get',
    params: params
  })
}
//获取当天待发药的所有患者
export function waitingdrug(params) {
  return request({
    url: '/api/pharmacy/waitingdrug',
    method: 'get',
    params: params
  })
}
//获取当天已发药的所有患者
export function issueddrugs(params) {
  return request({
    url: '/api/pharmacy/issueddrugs',
    method: 'get',
    params: params
  })
}
//获取当天该患者的所有信息
export function getpharmacycontent(params) {
  return request({
    url: '/api/pharmacy/getpharmacycontent',
    method: 'get',
    params: params
  })
}
//发药按钮点击
export function dispensingmedicine(params) {
  return request({
    url: '/api/pharmacy/dispensingmedicine',
    method: 'get',
    params: params
  })
}
//退药按钮点击
export function drugwithdrawal(params) {
  return request({
    url: '/api/pharmacy/drugwithdrawal',
    method: 'get',
    params: params
  })
}
//获取发药明细的患者列表
export function dispensingdetails(params) {
  return request({
    url: '/api/pharmacy/dispensingdetails',
    method: 'get',
    params: params
  })
}
//发药明细-详情
export function prescriptiondetails(params) {
  return request({
    url: '/api/pharmacy/prescriptiondetails',
    method: 'get',
    params: params
  })
}
